using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class PlayerAccountData 
{
    public string userName;
    public List<string> characterNames = new List<string>();

    public PlayerAccountData()
    {
        userName = "Player1";
        characterNames = new List<string>();
    }
    public PlayerAccountData(string userName)
    {
        this.userName = userName;
        characterNames = new List<string>();
    }
    public PlayerAccountData(string userName, List<string> characters)
    {
        this.userName = userName;
        characterNames = characters;
    }

    public bool AddCharacterToPlayerAccount(string characterName)
    {
        if (!PlayerContainsCharacter(characterName))
        {
            characterNames.Add(characterName);
            Debug.Log("Added: " + characterName + " to account with name: " + userName);
            return true;
        }
        else
        {
            Debug.Log($"Failed to add {characterName} because this account already contains this name on the list");
            return false;
        }
    }

    public bool PlayerContainsCharacter(string characterName)
    {
        return characterNames.Contains(characterName);
    }
}
